<?php
/*
Plugin Name: DW Guten
Description: move theme functionality to plugin for Gutenberg features
Author: windhamdavid
Version: 0.1
Author URI: https://davidawindham.com
*/

defined( 'ABSPATH' ) or die( 'yeah right' );


/*********  add sup/sub to Gutenberg wp.editor.RichTextToolbarButton **********/

function dw_guten_script_register() {
	wp_register_script(
		'dw-guten-js',
		plugins_url( 'dw-guten.js', __FILE__ ),
		array( 'wp-rich-text' , 'wp-element', 'wp-editor')
	);
}
add_action( 'init', 'dw_guten_script_register' );

function dw_guten_enqueue () {
	wp_enqueue_script( 'dw-guten-js');
}
add_action( 'enqueue_block_editor_assets', 'dw_guten_enqueue' );


/*********  add custom metaboxes (meta_desc,media) to Gutenberg sidebar **********/

include_once('metabox.php');

function dw_guten_enqueue_assets() {
	wp_enqueue_script(
		'dw-gutenberg-sidebar',
		plugins_url( 'build/index.js', __FILE__ ),
		array( 'wp-plugins', 'wp-edit-post', 'wp-element', 'wp-components', 'wp-data' )
	);
}
add_action( 'enqueue_block_editor_assets', 'dw_guten_enqueue_assets' );


?>